SDL_ConvertSurfaceFormatAndColorspace(3)

NAME
SDL_ConvertSurfaceFormatAndColorspace - Copy an existing surface to a new surface of the specified format and colorspace.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface* SDL_ConvertSurfaceFormatAndColorspace(SDL_Surface *surface, SDL_PixelFormatEnum pixel_format, SDL_Colorspace colorspace, SDL_PropertiesID props);

DESCRIPTION
This function converts an existing surface to a new format and colorspace and returns the new surface. This will perform any pixel format and colorspace conversion needed.

FUNCTION PARAMETERS

surface
    the existing SDL_Surface
     structure to convert

pixel_format
    the new pixel format

colorspace
    the new colorspace

props
    an SDL_PropertiesID
     with additional color properties, or 0

RETURN VALUE
Returns the new SDL_Surface
 structure that is created or NULL if it fails; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ConvertSurface(3), SDL_ConvertSurfaceFormat(3), SDL_DestroySurface(3)